#ifndef SEARCH_PARAMETERS_H
#define SEARCH_PARAMETERS_H 1

#include <string>

class SearchParameters {
    
 public:
    int ants;
    
    double evaporate;

    std::string search_method;
    bool greedy;
    
    int iterations;
   
    int total_solutions;
    
    int solutions_report_interval;

    double min_prob_S; 
    
    double p_add_contact;

    double p_random_move;

    double p_bonus_stack;
   
    double p_bonus_pbest;

    double p_bonus_gbest;
    
    int start_contacts;
    
    int steps_per_turn;
    

    //SearchParameters SearchParams=SearchParameters(OptS->particles,OptS->iterations,OptS->reference,OptS->steps,OptS->evaporate,OptS->add,OptS->random,OptS->pstack,OptS->pbest,OptS->gbest,min_prob_S);


    /** Creates a new instance of FoldParameters */
    SearchParameters(int ants,int iterations,int total_solutions,int solutions_report_interval,int start_contacts,int steps_per_turn, double evaporate,double p_add_contact,double p_random_move,double p_bonus_stack,double p_bonus_pbest,double p_bonus_gbest,double min_prob_S,std::string search_method) {
        this->ants=ants;
        this->evaporate=evaporate;
        this->iterations=iterations;   
	this->total_solutions=total_solutions;
        this->solutions_report_interval=solutions_report_interval;
 
        this->min_prob_S=min_prob_S;
        this->p_random_move=p_random_move;
	this->p_bonus_stack=p_bonus_stack;
	this->p_bonus_pbest=p_bonus_pbest;
	this->p_bonus_gbest=p_bonus_gbest;
        this->p_add_contact=p_add_contact;
	this->search_method=search_method;
        this->start_contacts=start_contacts;
        this->steps_per_turn=steps_per_turn;
     
    }
    
    
     
      
};
#endif
